PRIMERS(1e)

NAME
primers - Simple version of primer3 to pick PCR primers

SYNOPSIS

primers -sequence seqall [-targetregion range] [-minsize integer] [-maxsize integer] [-maxdifftm float] [-explainflag boolean] [-numreturn integer] -outfile outfile

primers -help

DESCRIPTION

primers is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Nucleic:Primers" command group(s).

OPTIONS

  Input section

-sequence seqall
    The sequence from which to choose primers. The sequence must be presented 5' -> 3'

  Additional section

-targetregion range
    If one or more Targets is specified then a legal primer pair must flank at least one of them. A Target might be a simple sequence repeat site (for example a CA repeat) or a single-base-pair polymorphism. The value should be a space-separated list of <start>,<end> pairs where <start> is the index of the first base of a Target, and <end> is the last E.g. 50,51 requires primers to surround the 2 bases at positions 50 and 51.

-minsize integer
    Minimum acceptable length of a primer. Must be greater than 0 and less than or equal to MAX-SIZE. Default value: 18

-maxsize integer
    Maximum acceptable length (in bases) of a primer. Currently this parameter cannot be larger than 35. This limit is governed by the maximum oligo size for which Primer3's melting-temperature is valid. Default value: 27

-maxdifftm float
    Maximum acceptable (unsigned) difference between the melting temperatures of the forward and reverse primers. Default value: 100.0

  Output section

-explainflag boolean
    If this flag is non-0, produce LEFT-EXPLAIN and RIGHT-EXPLAIN, output, which are intended to provide information on the number of primer pairs that Primer3 examined, and statistics on the number discarded for various reasons. Default value: N

-numreturn integer
    The maximum number of primer pairs to return. Primer pairs returned are sorted by their 'quality', in other words by the value of the objective function (where a lower number indicates a better primer pair). Caution: setting this parameter to a large value will increase running time. Default value: 5

-outfile outfile

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

primers is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.